document.addEventListener('DOMContentLoaded', function () {
    var openPopups = document.querySelectorAll('.open-popup');
    var closePopups = document.querySelectorAll('.close');
    var submitItemsButtons = document.querySelectorAll('.submit-items');

    openPopups.forEach(function (link) {
        link.addEventListener('click', function (e) {
            e.preventDefault();
            var targetPopupId = link.getAttribute('data-target');
            var popup = document.getElementById(targetPopupId);
            if (popup) {
                popup.style.display = 'block';
            }
        });
    });

    closePopups.forEach(function (closeButton) {
        closeButton.addEventListener('click', function () {
            var targetPopupId = closeButton.getAttribute('data-target');
            var popup = document.getElementById(targetPopupId);
            if (popup) {
                popup.style.display = 'none';
            }
        });
    });

    submitItemsButtons.forEach(function (submitButton) {
        submitButton.addEventListener('click', function () {
            var targetTextareaId = submitButton.getAttribute('data-target');
            var textarea = document.getElementById(targetTextareaId);
            var popup = submitButton.closest('.popup');

            var selectedItems = [];
            if (popup) {
                var items = popup.querySelectorAll('.item:checked');
                items.forEach(function (item) {
                    selectedItems.push(item.value);
                });
            }

            if (textarea) {
                textarea.value = selectedItems.join(', ');
            }

            if (popup) {
                popup.style.display = 'none';
            }
        });
    });
});